#!/bin/bash
#############################################################
# Author : Simona Flavoni for NEMO
# Contact : sflod@locean-ipsl.upmc.fr
#
# sette.sh   : principal script of SET TEsts for NEMO (SETTE)
# ----------------------------------------------------------------------
# NEMO/SETTE , NEMO Consortium (2010)
# Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
# ----------------------------------------------------------------------
#
#############################################################
#set -x
set -o posix
#set -u
#set -e
#+
#
# ===================
# sette_beginner.sh
# ===================
#
# ----------------------------------------------
# Set of tests for NEMO for beginners
# ----------------------------------------------
#
# SYNOPSIS
# ========
#
# ::
#
#  $ ./sette_beginner.sh
#
# DESCRIPTION
# ===========
# First simple example of how to use SETTE: create GYRE_SHORT configuration, compile it with 1 proc, and test it for a SHORT test: 5days
#-
#
SETTE_DIR=/PATH/OF/SETTE
# Run for GYRE CONFIG
# small test to start
# compile GYRE configuration with gfortran_osx compiler run with 1 proc, by default in cpp_GYRE.fcm file : key_nproci=1 key_nprocj=1
cd ${SETTE_DIR}
. ../CONFIG/makenemo -m gfortran_osx -n GYRE_SHORT -r GYRE
cd ${SETTE_DIR}
. param.cfg 
. all_functions.sh
# setting namelist parameters
# experience name
set_namelist namelist cn_exp \"GYRE_SHORT\"
# first time step
set_namelist namelist nn_it000 1
# last time step
set_namelist namelist nn_itend 120
# frequency of creation of a restart file
set_namelist namelist nn_stock 60
cd ${SETTE_DIR}
# run job, with 1 processor, test named SHORT (= 60 time steps)
. ./fcm_job.sh input_GYRE.cfg 1 SHORT
